package com.fs.baidu.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.baidu.domain.BdPlan;

/**
 * 百度计划Mapper接口
 * 
 * @author fs
 * @date 2025-01-20
 */
public interface BdPlanMapper extends BaseMapper<BdPlan>{
    /**
     * 查询百度计划
     * 
     * @param campaignFeedId 百度计划主键
     * @return 百度计划
     */
    BdPlan selectBdPlanByCampaignFeedId(Long campaignFeedId);

    /**
     * 查询百度计划列表
     * 
     * @param bdPlan 百度计划
     * @return 百度计划集合
     */
    List<BdPlan> selectBdPlanList(BdPlan bdPlan);

    /**
     * 新增百度计划
     * 
     * @param bdPlan 百度计划
     * @return 结果
     */
    int insertBdPlan(BdPlan bdPlan);

    /**
     * 修改百度计划
     * 
     * @param bdPlan 百度计划
     * @return 结果
     */
    int updateBdPlan(BdPlan bdPlan);

    /**
     * 删除百度计划
     * 
     * @param campaignFeedId 百度计划主键
     * @return 结果
     */
    int deleteBdPlanByCampaignFeedId(Long campaignFeedId);

    /**
     * 批量删除百度计划
     * 
     * @param campaignFeedIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBdPlanByCampaignFeedIds(Long[] campaignFeedIds);
}
